<template>
  <CModal
    :show.sync="visible"
    :centered="false"
    :close-on-backdrop="false"
    class="modal-form"
    size="lg"
    @open="$emit('open')"
    @close="$emit('close')"
  >
    <template #header>
      <h6 class="modal-title">
        <font-awesome-icon :icon="['fas', `${id ? 'pencil-alt' : 'plus-circle'}`]" />
        {{ id ? 'Edit group' : 'Create new group' }}
      </h6>
      <CButtonClose @click="onCancel" />
    </template>

    <group-form
      :id="id"
      @close="onCancel"
      @modify="$emit('modify')"
    />

    <template #footer>
      <span />
    </template>
  </CModal>
</template>

<script>
import GroupForm from '~/components/organisms/groups/GroupForm'

export default {
  components: {
    GroupForm
  },

  props: {
    /**
     * Group id
     */
    id: {
      type: Number,
      default: () => null
    },

    /**
     * Zone data
     */
    data: {
      type: Array,
      default: () => []
    }
  },

  data () {
    return {
      visible: false
    }
  },

  methods: {
    /**
     * Open dialog
     */
    open () {
      this.visible = true
    },

    /**
     * When you click Cancel button
     */
    onCancel () {
      this.visible = false
    }
  }
}
</script>
